Browse Source

Suppress YAML support in DTC

... which fails to build if pkg-config is not installed.

Signed-off-by: Alexey Neyman <stilor@att.net>
master-next
Alexey Neyman 3 years ago
parent
commit
c317f57b40
  1. 6
      scripts/build/companion_tools/500-dtc.sh

6
scripts/build/companion_tools/500-dtc.sh

@ -48,11 +48,17 @@ do_dtc_backend()
eval "${arg// /\\ }"
done
# Override PKG_CONFIG: if pkg-config is not installed, DTC's makefile
# misinterprets the error code and tries to enable YAML support while
# not linking against libyaml. NO_YAML=1 is sufficient to make the build
# pass; PKG_CONFIG=/bin/true just suppresses some scary error messages.
extra_opts=( \
CC="${host}-gcc" \
AR="${host}-ar" \
PREFIX="${prefix}" \
PKG_CONFIG=/bin/true \
NO_PYTHON=1 \
NO_YAML=1 \
BIN=dtc \
)
if [ -n "${CT_DTC_VERBOSE}" ]; then

Loading…
Cancel
Save